import { createApp } from 'vue'
import QrCode from "@/components/common/QrCode";
import Antd from "ant-design-vue";

function mountContent (option = {}) {
    const dom = document.createElement('div')
    document.body.appendChild(dom)
    const app = createApp(QrCode, {
        close: () => { app.unmount(dom); document.body.removeChild(dom) },
        ...option
    })
    app.use(Antd).mount(dom)
}
export default mountContent